List attachments for a decision
GET
/api/v1/decisions/{decision_id}/attachments
const url = 'https://api.ultimateteam.ai/api/v1/decisions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/decisions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments \ --header 'X-API-Key: <X-API-Key>'Return the image/PDF attachments that participated in the given decision. Tenant-isolated: only attachments belonging to the authenticated user’s tenant are returned. Returns 404 when the decision has no attachments, 403 when another tenant’s decision is referenced.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”decision_id
required
Decision Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Decision Attachments Api V1 Decisions Decision Id Attachments Get
Array<object>
object
key
additional properties
any
Examplegenerated
[ {}]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}